Package org.apache.jasper.compiler

# Class JspConfig

java.lang.Object
org.apache.jasper.compiler.JspConfig

public class JspConfig extends Object
Handles the jsp-config element in WEB_INF/web.xml. This is used for specifying the JSP configuration information on a JSP page

Author:
  Kin-man Chung, Remy Maucherat

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`JspConfig.JspProperty`
`static class`
`JspConfig.JspPropertyGroup`

## Constructor Summary

Constructors
Constructor
Description
`JspConfig(ServletContext ctxt)`

## Method Summary

Modifier and Type
Method
Description
`JspConfig.JspProperty`
`findJspProperty(String uri)`
Find a property that best matches the supplied resource.
`boolean`
`isJspPage(String uri)`
To find out if a uri matches a url pattern in jsp config.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JspConfig

public JspConfig(ServletContext ctxt)

## Method Details

### findJspProperty

public JspConfig.JspProperty findJspProperty(String uri)
Find a property that best matches the supplied resource.

Parameters:
  `uri` - the resource supplied.
Returns:
  a JspProperty indicating the best match, or some default.

### isJspPage

public boolean isJspPage(String uri)
To find out if a uri matches a url pattern in jsp config. If so, then the uri is a JSP page. This is used primarily for jspc.

Parameters:
  `uri` - The path to check
Returns:
  `true` if the path denotes a JSP page